Bug 340767 - "calligra.org" is opened on click of "Close" or "New..." in "Kexi" menu
Summary: "calligra.org" is opened on click of "Close" or "New..." in "Kexi" menu
Status: CLOSED FIXED
Alias: None
Product: KEXI
Classification: Unclassified
Component: General (show other bugs)
Version: 2.8.6
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: 2.8.7
Assignee: Jarosław Staniek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-08 19:21 UTC by Friedrich W. H. Kossebau
Modified: 2014-11-18 21:13 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Friedrich W. H. Kossebau 2014-11-08 19:21:56 UTC
Surely a good trick to make people also visit the calligra website ;)

Reproducible: Always

Steps to Reproduce:
1. Start Kexi
2. Select existing db from the initial screen
3. Select "Kexi" menu
4. Move mouse over middle of "Close" or "New..." menu entries (until mouse cursor changes shape to finger pointer)
5. Wait for tooltip, or simply click

Actual Results:  
Browser is opened for "calligra.org"

Expected Results:  
Action is triggered

Seems that somehow the y-coordinates of whatever handles the mouse input are not properly adapted on insertion of the action items? At least the mouse behaviour relative to the x-coordinates match the "Calligra" logo positions, just the y-coordinates seem to be off.
The logo itself is not clickable in this state.

Misbehaviour only seen on first appearance of the "Kexi" menu, when opened again things work properly.
Comment 1 Jarosław Staniek 2014-11-09 22:38:57 UTC
Related to resizing of the main window (and thus - the menu widget)
Comment 2 Jarosław Staniek 2014-11-09 23:49:08 UTC
almost done...
Comment 3 Jarosław Staniek 2014-11-18 21:12:31 UTC
Git commit cd03501cbe14ab0aa71984ac040cd19e12ff0baf by Jaroslaw Staniek.
Committed on 10/11/2014 at 01:10.
Pushed by staniek into branch 'master'.

Fix position of the Calligra logo based on height of the main menu
FIXED-IN:2.8.7
REVIEW:121088

M  +70   -7    kexi/main/KexiMenuWidget.cpp
M  +1    -1    kexi/main/KexiMenuWidget.h
M  +3    -0    kexi/main/KexiMenuWidget_p.h

http://commits.kde.org/calligra/cd03501cbe14ab0aa71984ac040cd19e12ff0baf
Comment 4 Jarosław Staniek 2014-11-18 21:13:26 UTC
Git commit 4f0df2525ee1d5293791cf8c7d70a112e8dbb5e5 by Jaroslaw Staniek.
Committed on 10/11/2014 at 01:10.
Pushed by staniek into branch 'calligra/2.8'.

Fix position of the Calligra logo based on height of the main menu
FIXED-IN:2.8.7
REVIEW:121088

M  +72   -9    kexi/main/KexiMenuWidget.cpp
M  +1    -1    kexi/main/KexiMenuWidget.h
M  +3    -0    kexi/main/KexiMenuWidget_p.h

http://commits.kde.org/calligra/4f0df2525ee1d5293791cf8c7d70a112e8dbb5e5